Makefile.in 24 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742
  1. # Makefile.in generated by automake 1.9.6 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  4. # 2003, 2004, 2005 Free Software Foundation, Inc.
  5. # This Makefile.in is free software; the Free Software Foundation
  6. # gives unlimited permission to copy and/or distribute it,
  7. # with or without modifications, as long as this notice is preserved.
  8. # This program is distributed in the hope that it will be useful,
  9. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  10. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  11. # PARTICULAR PURPOSE.
  12. @SET_MAKE@
  13. srcdir = @srcdir@
  14. top_srcdir = @top_srcdir@
  15. VPATH = @srcdir@
  16. pkgdatadir = $(datadir)/@PACKAGE@
  17. pkglibdir = $(libdir)/@PACKAGE@
  18. pkgincludedir = $(includedir)/@PACKAGE@
  19. top_builddir = .
  20. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  21. INSTALL = @INSTALL@
  22. install_sh_DATA = $(install_sh) -c -m 644
  23. install_sh_PROGRAM = $(install_sh) -c
  24. install_sh_SCRIPT = $(install_sh) -c
  25. INSTALL_HEADER = $(INSTALL_DATA)
  26. transform = $(program_transform_name)
  27. NORMAL_INSTALL = :
  28. PRE_INSTALL = :
  29. POST_INSTALL = :
  30. NORMAL_UNINSTALL = :
  31. PRE_UNINSTALL = :
  32. POST_UNINSTALL = :
  33. EXTRA_PROGRAMS =
  34. sbin_PROGRAMS = pptpd$(EXEEXT) pptpctrl$(EXEEXT) bcrelay$(EXEEXT)
  35. subdir = .
  36. DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
  37. $(srcdir)/Makefile.in $(srcdir)/config.h.in \
  38. $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
  39. TODO acconfig.h install-sh missing mkinstalldirs
  40. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  41. am__aclocal_m4_deps = $(top_srcdir)/configure.in
  42. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  43. $(ACLOCAL_M4)
  44. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  45. configure.lineno configure.status.lineno
  46. mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
  47. CONFIG_HEADER = config.h
  48. CONFIG_CLEAN_FILES =
  49. am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man5dir)" \
  50. "$(DESTDIR)$(man8dir)"
  51. sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
  52. PROGRAMS = $(sbin_PROGRAMS)
  53. am_bcrelay_OBJECTS = bcrelay.$(OBJEXT)
  54. bcrelay_OBJECTS = $(am_bcrelay_OBJECTS)
  55. bcrelay_LDADD = $(LDADD)
  56. am_pptpctrl_OBJECTS = pqueue.$(OBJEXT) pptpctrl.$(OBJEXT) \
  57. ctrlpacket.$(OBJEXT) inststr.$(OBJEXT) compat.$(OBJEXT) \
  58. pptpgre.$(OBJEXT) ppphdlc.$(OBJEXT)
  59. pptpctrl_OBJECTS = $(am_pptpctrl_OBJECTS)
  60. am__DEPENDENCIES_1 =
  61. pptpctrl_DEPENDENCIES = $(am__DEPENDENCIES_1)
  62. am_pptpd_OBJECTS = pqueue.$(OBJEXT) pptpd.$(OBJEXT) \
  63. configfile.$(OBJEXT) pptpmanager.$(OBJEXT) compat.$(OBJEXT) \
  64. inststr.$(OBJEXT) getopt.$(OBJEXT) getopt1.$(OBJEXT)
  65. pptpd_OBJECTS = $(am_pptpd_OBJECTS)
  66. pptpd_DEPENDENCIES = $(am__DEPENDENCIES_1)
  67. DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
  68. depcomp =
  69. am__depfiles_maybe =
  70. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  71. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  72. CCLD = $(CC)
  73. LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  74. SOURCES = $(bcrelay_SOURCES) $(pptpctrl_SOURCES) $(pptpd_SOURCES)
  75. DIST_SOURCES = $(bcrelay_SOURCES) $(pptpctrl_SOURCES) $(pptpd_SOURCES)
  76. man5dir = $(mandir)/man5
  77. man8dir = $(mandir)/man8
  78. NROFF = nroff
  79. MANS = $(man_MANS)
  80. ETAGS = etags
  81. CTAGS = ctags
  82. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  83. distdir = $(PACKAGE)-$(VERSION)
  84. top_distdir = $(distdir)
  85. am__remove_distdir = \
  86. { test ! -d $(distdir) \
  87. || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
  88. && rm -fr $(distdir); }; }
  89. DIST_ARCHIVES = $(distdir).tar.gz
  90. GZIP_ENV = --best
  91. distuninstallcheck_listfiles = find . -type f -print
  92. distcleancheck_listfiles = find . -type f -print
  93. ACLOCAL = @ACLOCAL@
  94. AMDEP_FALSE = @AMDEP_FALSE@
  95. AMDEP_TRUE = @AMDEP_TRUE@
  96. AMTAR = @AMTAR@
  97. AUTOCONF = @AUTOCONF@
  98. AUTOHEADER = @AUTOHEADER@
  99. AUTOMAKE = @AUTOMAKE@
  100. AWK = @AWK@
  101. CC = @CC@
  102. CCDEPMODE = @CCDEPMODE@
  103. CFLAGS = -O2 -fno-builtin -Wall -DSBINDIR='"$(sbindir)"'
  104. CPP = @CPP@
  105. CPPFLAGS = @CPPFLAGS@
  106. CYGPATH_W = @CYGPATH_W@
  107. DEFS = @DEFS@
  108. DEPDIR = @DEPDIR@
  109. ECHO_C = @ECHO_C@
  110. ECHO_N = @ECHO_N@
  111. ECHO_T = @ECHO_T@
  112. EGREP = @EGREP@
  113. EXEEXT = @EXEEXT@
  114. GREP = @GREP@
  115. HAVE_OPENPTY = @HAVE_OPENPTY@
  116. INSTALL_DATA = @INSTALL_DATA@
  117. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  118. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  119. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  120. LDFLAGS = @LDFLAGS@
  121. LIBOBJS = @LIBOBJS@
  122. LIBS = @LIBS@
  123. LN_S = @LN_S@
  124. LTLIBOBJS = @LTLIBOBJS@
  125. MAKEINFO = @MAKEINFO@
  126. OBJEXT = @OBJEXT@
  127. PACKAGE = @PACKAGE@
  128. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  129. PACKAGE_NAME = @PACKAGE_NAME@
  130. PACKAGE_STRING = @PACKAGE_STRING@
  131. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  132. PACKAGE_URL = @PACKAGE_URL@
  133. PACKAGE_VERSION = @PACKAGE_VERSION@
  134. PATH_SEPARATOR = @PATH_SEPARATOR@
  135. RANLIB = @RANLIB@
  136. SET_MAKE = @SET_MAKE@
  137. SHELL = @SHELL@
  138. STRIP = @STRIP@
  139. VERSION = @VERSION@
  140. XTRALIBS_CTRL = @XTRALIBS_CTRL@
  141. XTRALIBS_MGR = @XTRALIBS_MGR@
  142. XTRA_PROG = @XTRA_PROG@
  143. ac_ct_CC = @ac_ct_CC@
  144. am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
  145. am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  146. am__include = @am__include@
  147. am__leading_dot = @am__leading_dot@
  148. am__quote = @am__quote@
  149. am__tar = @am__tar@
  150. am__untar = @am__untar@
  151. bindir = @bindir@
  152. build_alias = @build_alias@
  153. datadir = @datadir@
  154. datarootdir = @datarootdir@
  155. docdir = @docdir@
  156. dvidir = @dvidir@
  157. exec_prefix = @exec_prefix@
  158. host_alias = @host_alias@
  159. htmldir = @htmldir@
  160. includedir = @includedir@
  161. infodir = @infodir@
  162. install_sh = @install_sh@
  163. libdir = @libdir@
  164. libexecdir = @libexecdir@
  165. localedir = @localedir@
  166. localstatedir = @localstatedir@
  167. mandir = @mandir@
  168. mkdir_p = @mkdir_p@
  169. oldincludedir = @oldincludedir@
  170. pdfdir = @pdfdir@
  171. prefix = @prefix@
  172. program_transform_name = @program_transform_name@
  173. psdir = @psdir@
  174. sbindir = @sbindir@
  175. sharedstatedir = @sharedstatedir@
  176. sysconfdir = @sysconfdir@
  177. target_alias = @target_alias@
  178. # We have our own, simpler dependencies stuff in 'reconf'
  179. AUTOMAKE_OPTIONS = no-dependencies foreign
  180. INCLUDES = -I.
  181. #CFLAGS = -O2 -fno-builtin -Wall -ansi -DSBINDIR='"$(sbindir)"'
  182. #CFLAGS = -O2 -fno-builtin -Wall -ansi -pedantic -Wmissing-prototypes -Werror -DSBINDIR='"$(sbindir)"'
  183. man_MANS = pptpctrl.8 pptpd.8 pptpd.conf.5
  184. EXTRA_DIST = \
  185. html README* ChangeLog NEWS TODO $(man_MANS) \
  186. samples/chap-secrets samples/options.pptpd samples/pptpd.conf \
  187. Makefile.uClinux config.embed.h version reconf \
  188. tools/pptp-portslave tools/vpnstats tools/vpnstats.pl tools/vpnuser \
  189. pptpd.init pptpd.spec makepackage \
  190. plugins/Makefile plugins/*.h plugins/*.c \
  191. debian/README.debian debian/changelog debian/conffiles debian/config \
  192. debian/control debian/copyright debian/dirs debian/docs \
  193. debian/examples debian/pptpd-options debian/pptpd.conf \
  194. debian/pptpd.init debian/pptpdconfig.pl debian/rules debian/templates \
  195. debian/po/POTFILES.in debian/po/fr.po debian/po/pt_BR.po \
  196. debian/po/templates.pot
  197. # Header files are only used to determine what to put in a distribution, not
  198. # for dependencies, so just attribute them all to pptpd.
  199. pptpd_SOURCES = \
  200. pqueue.c pptpd.c configfile.c pptpmanager.c compat.c inststr.c getopt.c getopt1.c \
  201. pqueue.h compat.h configfile.h ctrlpacket.h defaults.h inststr.h our_getopt.h \
  202. our_syslog.h ppphdlc.h pptpctrl.h pptpdefs.h pptpgre.h pptpmanager.h
  203. pptpctrl_SOURCES = \
  204. pqueue.c pptpctrl.c ctrlpacket.c inststr.c compat.c pptpgre.c ppphdlc.c
  205. pptpd_LDADD = $(XTRALIBS_MGR)
  206. pptpctrl_LDADD = $(XTRALIBS_CTRL)
  207. bcrelay_SOURCES = bcrelay.c defaults.h our_syslog.h our_getopt.h
  208. subdirs = plugins
  209. all: config.h
  210. $(MAKE) $(AM_MAKEFLAGS) all-am
  211. .SUFFIXES:
  212. .SUFFIXES: .c .o .obj
  213. am--refresh:
  214. @:
  215. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  216. @for dep in $?; do \
  217. case '$(am__configure_deps)' in \
  218. *$$dep*) \
  219. echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
  220. cd $(srcdir) && $(AUTOMAKE) --foreign \
  221. && exit 0; \
  222. exit 1;; \
  223. esac; \
  224. done; \
  225. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  226. cd $(top_srcdir) && \
  227. $(AUTOMAKE) --foreign Makefile
  228. .PRECIOUS: Makefile
  229. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  230. @case '$?' in \
  231. *config.status*) \
  232. echo ' $(SHELL) ./config.status'; \
  233. $(SHELL) ./config.status;; \
  234. *) \
  235. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  236. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  237. esac;
  238. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  239. $(SHELL) ./config.status --recheck
  240. $(top_srcdir)/configure: $(am__configure_deps)
  241. cd $(srcdir) && $(AUTOCONF)
  242. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  243. cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  244. config.h: stamp-h1
  245. @if test ! -f $@; then \
  246. rm -f stamp-h1; \
  247. $(MAKE) stamp-h1; \
  248. else :; fi
  249. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  250. @rm -f stamp-h1
  251. cd $(top_builddir) && $(SHELL) ./config.status config.h
  252. $(srcdir)/config.h.in: $(am__configure_deps) $(top_srcdir)/acconfig.h
  253. cd $(top_srcdir) && $(AUTOHEADER)
  254. rm -f stamp-h1
  255. touch $@
  256. distclean-hdr:
  257. -rm -f config.h stamp-h1
  258. install-sbinPROGRAMS: $(sbin_PROGRAMS)
  259. @$(NORMAL_INSTALL)
  260. test -z "$(sbindir)" || $(mkdir_p) "$(DESTDIR)$(sbindir)"
  261. @list='$(sbin_PROGRAMS)'; for p in $$list; do \
  262. p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
  263. if test -f $$p \
  264. ; then \
  265. f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
  266. echo " $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(sbindir)/$$f'"; \
  267. $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(sbindir)/$$f" || exit 1; \
  268. else :; fi; \
  269. done
  270. uninstall-sbinPROGRAMS:
  271. @$(NORMAL_UNINSTALL)
  272. @list='$(sbin_PROGRAMS)'; for p in $$list; do \
  273. f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
  274. echo " rm -f '$(DESTDIR)$(sbindir)/$$f'"; \
  275. rm -f "$(DESTDIR)$(sbindir)/$$f"; \
  276. done
  277. clean-sbinPROGRAMS:
  278. -test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
  279. bcrelay$(EXEEXT): $(bcrelay_OBJECTS) $(bcrelay_DEPENDENCIES)
  280. @rm -f bcrelay$(EXEEXT)
  281. $(LINK) $(bcrelay_LDFLAGS) $(bcrelay_OBJECTS) $(bcrelay_LDADD) $(LIBS)
  282. pptpctrl$(EXEEXT): $(pptpctrl_OBJECTS) $(pptpctrl_DEPENDENCIES)
  283. @rm -f pptpctrl$(EXEEXT)
  284. $(LINK) $(pptpctrl_LDFLAGS) $(pptpctrl_OBJECTS) $(pptpctrl_LDADD) $(LIBS)
  285. pptpd$(EXEEXT): $(pptpd_OBJECTS) $(pptpd_DEPENDENCIES)
  286. @rm -f pptpd$(EXEEXT)
  287. $(LINK) $(pptpd_LDFLAGS) $(pptpd_OBJECTS) $(pptpd_LDADD) $(LIBS)
  288. mostlyclean-compile:
  289. -rm -f *.$(OBJEXT)
  290. distclean-compile:
  291. -rm -f *.tab.c
  292. .c.o:
  293. $(COMPILE) -c $<
  294. .c.obj:
  295. $(COMPILE) -c `$(CYGPATH_W) '$<'`
  296. uninstall-info-am:
  297. install-man5: $(man5_MANS) $(man_MANS)
  298. @$(NORMAL_INSTALL)
  299. test -z "$(man5dir)" || $(mkdir_p) "$(DESTDIR)$(man5dir)"
  300. @list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
  301. l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
  302. for i in $$l2; do \
  303. case "$$i" in \
  304. *.5*) list="$$list $$i" ;; \
  305. esac; \
  306. done; \
  307. for i in $$list; do \
  308. if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
  309. else file=$$i; fi; \
  310. ext=`echo $$i | sed -e 's/^.*\\.//'`; \
  311. case "$$ext" in \
  312. 5*) ;; \
  313. *) ext='5' ;; \
  314. esac; \
  315. inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
  316. inst=`echo $$inst | sed -e 's/^.*\///'`; \
  317. inst=`echo $$inst | sed '$(transform)'`.$$ext; \
  318. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
  319. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst"; \
  320. done
  321. uninstall-man5:
  322. @$(NORMAL_UNINSTALL)
  323. @list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
  324. l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
  325. for i in $$l2; do \
  326. case "$$i" in \
  327. *.5*) list="$$list $$i" ;; \
  328. esac; \
  329. done; \
  330. for i in $$list; do \
  331. ext=`echo $$i | sed -e 's/^.*\\.//'`; \
  332. case "$$ext" in \
  333. 5*) ;; \
  334. *) ext='5' ;; \
  335. esac; \
  336. inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
  337. inst=`echo $$inst | sed -e 's/^.*\///'`; \
  338. inst=`echo $$inst | sed '$(transform)'`.$$ext; \
  339. echo " rm -f '$(DESTDIR)$(man5dir)/$$inst'"; \
  340. rm -f "$(DESTDIR)$(man5dir)/$$inst"; \
  341. done
  342. install-man8: $(man8_MANS) $(man_MANS)
  343. @$(NORMAL_INSTALL)
  344. test -z "$(man8dir)" || $(mkdir_p) "$(DESTDIR)$(man8dir)"
  345. @list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
  346. l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
  347. for i in $$l2; do \
  348. case "$$i" in \
  349. *.8*) list="$$list $$i" ;; \
  350. esac; \
  351. done; \
  352. for i in $$list; do \
  353. if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
  354. else file=$$i; fi; \
  355. ext=`echo $$i | sed -e 's/^.*\\.//'`; \
  356. case "$$ext" in \
  357. 8*) ;; \
  358. *) ext='8' ;; \
  359. esac; \
  360. inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
  361. inst=`echo $$inst | sed -e 's/^.*\///'`; \
  362. inst=`echo $$inst | sed '$(transform)'`.$$ext; \
  363. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  364. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst"; \
  365. done
  366. uninstall-man8:
  367. @$(NORMAL_UNINSTALL)
  368. @list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
  369. l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
  370. for i in $$l2; do \
  371. case "$$i" in \
  372. *.8*) list="$$list $$i" ;; \
  373. esac; \
  374. done; \
  375. for i in $$list; do \
  376. ext=`echo $$i | sed -e 's/^.*\\.//'`; \
  377. case "$$ext" in \
  378. 8*) ;; \
  379. *) ext='8' ;; \
  380. esac; \
  381. inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
  382. inst=`echo $$inst | sed -e 's/^.*\///'`; \
  383. inst=`echo $$inst | sed '$(transform)'`.$$ext; \
  384. echo " rm -f '$(DESTDIR)$(man8dir)/$$inst'"; \
  385. rm -f "$(DESTDIR)$(man8dir)/$$inst"; \
  386. done
  387. ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  388. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  389. unique=`for i in $$list; do \
  390. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  391. done | \
  392. $(AWK) ' { files[$$0] = 1; } \
  393. END { for (i in files) print i; }'`; \
  394. mkid -fID $$unique
  395. tags: TAGS
  396. TAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  397. $(TAGS_FILES) $(LISP)
  398. tags=; \
  399. here=`pwd`; \
  400. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  401. unique=`for i in $$list; do \
  402. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  403. done | \
  404. $(AWK) ' { files[$$0] = 1; } \
  405. END { for (i in files) print i; }'`; \
  406. if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  407. test -n "$$unique" || unique=$$empty_fix; \
  408. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  409. $$tags $$unique; \
  410. fi
  411. ctags: CTAGS
  412. CTAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  413. $(TAGS_FILES) $(LISP)
  414. tags=; \
  415. here=`pwd`; \
  416. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  417. unique=`for i in $$list; do \
  418. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  419. done | \
  420. $(AWK) ' { files[$$0] = 1; } \
  421. END { for (i in files) print i; }'`; \
  422. test -z "$(CTAGS_ARGS)$$tags$$unique" \
  423. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  424. $$tags $$unique
  425. GTAGS:
  426. here=`$(am__cd) $(top_builddir) && pwd` \
  427. && cd $(top_srcdir) \
  428. && gtags -i $(GTAGS_ARGS) $$here
  429. distclean-tags:
  430. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  431. distdir: $(DISTFILES)
  432. $(am__remove_distdir)
  433. mkdir $(distdir)
  434. $(mkdir_p) $(distdir)/debian $(distdir)/debian/po $(distdir)/plugins $(distdir)/samples $(distdir)/tools
  435. @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  436. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
  437. list='$(DISTFILES)'; for file in $$list; do \
  438. case $$file in \
  439. $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  440. $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
  441. esac; \
  442. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  443. dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  444. if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  445. dir="/$$dir"; \
  446. $(mkdir_p) "$(distdir)$$dir"; \
  447. else \
  448. dir=''; \
  449. fi; \
  450. if test -d $$d/$$file; then \
  451. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  452. cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  453. fi; \
  454. cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  455. else \
  456. test -f $(distdir)/$$file \
  457. || cp -p $$d/$$file $(distdir)/$$file \
  458. || exit 1; \
  459. fi; \
  460. done
  461. -find "$(distdir)" -type d ! -perm -755 \
  462. -exec chmod u+rwx,go+rx {} \; -o \
  463. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  464. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  465. ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
  466. || chmod -R a+r $(distdir)
  467. dist-gzip: distdir
  468. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  469. $(am__remove_distdir)
  470. dist-bzip2: distdir
  471. tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
  472. $(am__remove_distdir)
  473. dist-tarZ: distdir
  474. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  475. $(am__remove_distdir)
  476. dist-shar: distdir
  477. shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  478. $(am__remove_distdir)
  479. dist-zip: distdir
  480. -rm -f $(distdir).zip
  481. zip -rq $(distdir).zip $(distdir)
  482. $(am__remove_distdir)
  483. dist dist-all: distdir
  484. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  485. $(am__remove_distdir)
  486. # This target untars the dist file and tries a VPATH configuration. Then
  487. # it guarantees that the distribution is self-contained by making another
  488. # tarfile.
  489. distcheck: dist
  490. case '$(DIST_ARCHIVES)' in \
  491. *.tar.gz*) \
  492. GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
  493. *.tar.bz2*) \
  494. bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
  495. *.tar.Z*) \
  496. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  497. *.shar.gz*) \
  498. GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
  499. *.zip*) \
  500. unzip $(distdir).zip ;;\
  501. esac
  502. chmod -R a-w $(distdir); chmod a+w $(distdir)
  503. mkdir $(distdir)/_build
  504. mkdir $(distdir)/_inst
  505. chmod a-w $(distdir)
  506. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  507. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  508. && cd $(distdir)/_build \
  509. && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  510. $(DISTCHECK_CONFIGURE_FLAGS) \
  511. && $(MAKE) $(AM_MAKEFLAGS) \
  512. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  513. && $(MAKE) $(AM_MAKEFLAGS) check \
  514. && $(MAKE) $(AM_MAKEFLAGS) install \
  515. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  516. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  517. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  518. distuninstallcheck \
  519. && chmod -R a-w "$$dc_install_base" \
  520. && ({ \
  521. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  522. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  523. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  524. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  525. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  526. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  527. && rm -rf "$$dc_destdir" \
  528. && $(MAKE) $(AM_MAKEFLAGS) dist \
  529. && rm -rf $(DIST_ARCHIVES) \
  530. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
  531. $(am__remove_distdir)
  532. @(echo "$(distdir) archives ready for distribution: "; \
  533. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  534. sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
  535. distuninstallcheck:
  536. @cd $(distuninstallcheck_dir) \
  537. && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  538. || { echo "ERROR: files left after uninstall:" ; \
  539. if test -n "$(DESTDIR)"; then \
  540. echo " (check DESTDIR support)"; \
  541. fi ; \
  542. $(distuninstallcheck_listfiles) ; \
  543. exit 1; } >&2
  544. distcleancheck: distclean
  545. @if test '$(srcdir)' = . ; then \
  546. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  547. exit 1 ; \
  548. fi
  549. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  550. || { echo "ERROR: files left in build directory after distclean:" ; \
  551. $(distcleancheck_listfiles) ; \
  552. exit 1; } >&2
  553. check-am: all-am
  554. check: check-am
  555. all-am: Makefile $(PROGRAMS) $(MANS) config.h all-local
  556. installdirs:
  557. for dir in "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)"; do \
  558. test -z "$$dir" || $(mkdir_p) "$$dir"; \
  559. done
  560. install: install-am
  561. install-exec: install-exec-am
  562. install-data: install-data-am
  563. uninstall: uninstall-am
  564. install-am: all-am
  565. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  566. installcheck: installcheck-am
  567. install-strip:
  568. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  569. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  570. `test -z '$(STRIP)' || \
  571. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  572. mostlyclean-generic:
  573. clean-generic:
  574. distclean-generic:
  575. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  576. maintainer-clean-generic:
  577. @echo "This command is intended for maintainers to use"
  578. @echo "it deletes files that may require special tools to rebuild."
  579. clean: clean-am
  580. clean-am: clean-generic clean-local clean-sbinPROGRAMS mostlyclean-am
  581. distclean: distclean-am
  582. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  583. -rm -f Makefile
  584. distclean-am: clean-am distclean-compile distclean-generic \
  585. distclean-hdr distclean-tags
  586. dvi: dvi-am
  587. dvi-am:
  588. html: html-am
  589. info: info-am
  590. info-am:
  591. install-data-am: install-man
  592. install-exec-am: install-exec-local install-sbinPROGRAMS
  593. install-info: install-info-am
  594. install-man: install-man5 install-man8
  595. installcheck-am:
  596. maintainer-clean: maintainer-clean-am
  597. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  598. -rm -rf $(top_srcdir)/autom4te.cache
  599. -rm -f Makefile
  600. maintainer-clean-am: distclean-am maintainer-clean-generic
  601. mostlyclean: mostlyclean-am
  602. mostlyclean-am: mostlyclean-compile mostlyclean-generic
  603. pdf: pdf-am
  604. pdf-am:
  605. ps: ps-am
  606. ps-am:
  607. uninstall-am: uninstall-info-am uninstall-local uninstall-man \
  608. uninstall-sbinPROGRAMS
  609. uninstall-man: uninstall-man5 uninstall-man8
  610. .PHONY: CTAGS GTAGS all all-am all-local am--refresh check check-am \
  611. clean clean-generic clean-local clean-sbinPROGRAMS ctags dist \
  612. dist-all dist-bzip2 dist-gzip dist-shar dist-tarZ dist-zip \
  613. distcheck distclean distclean-compile distclean-generic \
  614. distclean-hdr distclean-tags distcleancheck distdir \
  615. distuninstallcheck dvi dvi-am html html-am info info-am \
  616. install install-am install-data install-data-am install-exec \
  617. install-exec-am install-exec-local install-info \
  618. install-info-am install-man install-man5 install-man8 \
  619. install-sbinPROGRAMS install-strip installcheck \
  620. installcheck-am installdirs maintainer-clean \
  621. maintainer-clean-generic mostlyclean mostlyclean-compile \
  622. mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
  623. uninstall-am uninstall-info-am uninstall-local uninstall-man \
  624. uninstall-man5 uninstall-man8 uninstall-sbinPROGRAMS
  625. @SET_MAKE@
  626. export LIBDIR=$(libdir)/pptpd
  627. all-local:
  628. for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d all; done
  629. install-exec-local:
  630. for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d prefix=$(prefix) DESTDIR=$(DESTDIR) install; done
  631. clean-local:
  632. for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d clean; done
  633. uninstall-local:
  634. for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d prefix=$(prefix) DESTDIR=$(DESTDIR) uninstall; done
  635. package: deb rpm
  636. deb:
  637. fakeroot dpkg-buildpackage -us -uc
  638. rpm:
  639. fakeroot rpmbuild -ta pptpd-$(VERSION).tar.gz
  640. bcrelay.o: bcrelay.c config.h defaults.h our_syslog.h our_getopt.h
  641. compat.o: compat.c config.h compat.h our_syslog.h inststr.h
  642. configfile.o: configfile.c config.h defaults.h configfile.h our_syslog.h
  643. ctrlpacket.o: ctrlpacket.c config.h our_syslog.h pptpdefs.h pptpctrl.h \
  644. ctrlpacket.h compat.h
  645. getopt.o: getopt.c config.h our_getopt.h
  646. getopt1.o: getopt1.c config.h our_getopt.h
  647. inststr.o: inststr.c config.h inststr.h compat.h
  648. ppphdlc.o: ppphdlc.c config.h ppphdlc.h
  649. pptpctrl.o: pptpctrl.c config.h our_syslog.h compat.h pptpctrl.h \
  650. pptpgre.h pptpdefs.h ctrlpacket.h defaults.h
  651. pptpd.o: pptpd.c config.h our_syslog.h our_getopt.h configfile.h \
  652. defaults.h compat.h pptpmanager.h
  653. pptpgre.o: pptpgre.c config.h our_syslog.h ppphdlc.h pptpgre.h pptpdefs.h \
  654. pptpctrl.h defaults.h pqueue.h compat.h
  655. pptpmanager.o: pptpmanager.c config.h our_syslog.h configfile.h \
  656. defaults.h pptpctrl.h pptpdefs.h pptpmanager.h compat.h
  657. pqueue.o: pqueue.c pqueue.h
  658. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  659. # Otherwise a system limit (for SysV at least) may be exceeded.
  660. .NOEXPORT: